Loading...
Searching...
No Matches
CxxTest::TestRunner::StateGuard Class Reference

## Public Member Functions

| StateGuard ()
| ~StateGuard ()

## Private Attributes

unsigned | _maxDumpSize

## Detailed Description

Definition at line 80 of file TestRunner.h.

## Constructor & Destructor Documentation

## StateGuard()

CxxTest::TestRunner::StateGuard::StateGuard | ( |  | ) |

inline

Definition at line 88 of file TestRunner.h.

{
#ifdef _CXXTEST_HAVE_EH
_abortTestOnFail = abortTestOnFail();
#endif // _CXXTEST_HAVE_EH
_maxDumpSize = maxDumpSize();
}
CxxTest::TestRunner::StateGuard::_maxDumpSize
unsigned _maxDumpSize
Definition TestRunner.h:85
CxxTest::abortTestOnFail
bool abortTestOnFail()
Definition TestSuite.cpp:20
CxxTest::maxDumpSize
unsigned maxDumpSize()
Definition TestSuite.cpp:43

## ~StateGuard()

CxxTest::TestRunner::StateGuard::~StateGuard | ( |  | ) |

inline

Definition at line 96 of file TestRunner.h.

{
#ifdef _CXXTEST_HAVE_EH
setAbortTestOnFail( _abortTestOnFail );
#endif // _CXXTEST_HAVE_EH
setMaxDumpSize( _maxDumpSize );
}
CxxTest::setMaxDumpSize
void setMaxDumpSize(unsigned value)
Definition TestSuite.cpp:48
CxxTest::setAbortTestOnFail
void setAbortTestOnFail(bool value)
Definition TestSuite.cpp:25

## Field Documentation

## _maxDumpSize

unsigned CxxTest::TestRunner::StateGuard::_maxDumpSize

private

Definition at line 85 of file TestRunner.h.

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/TestRunner.h